Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615722 - All character unrepresentable in Win-1252 are mangled
All character unrepresentable in Win-1252 are mangled
Status: CLOSED NEXTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: zarafa (Show other bugs)
el5
All Linux
low Severity high
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 574788
  Show dependency treegraph
 
Reported: 2010-07-18 05:50 EDT by Matěj Cepl
Modified: 2018-04-11 06:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: zarafa-7.0.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 19:49:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2010-07-18 05:50:54 EDT
Description of problem:
All characters unrepresentable in windows-1252 are changed to question marks, so that instead of

Přišerně žluťoučký kůň úpěl ďábelské ódy

I get

P??íšern?? žlu??ou??ký k???? úp??l ??ábelské ódy

both in webaccess and over IMAP in Thunderbird.

Me being a Czech (and Czech is not representable in windows-1252), this unfortunately makes it showstopper for me.

Version-Release number of selected component (if applicable):
zarafa-server-6.40.0-2.el5
zarafa-gateway-6.40.0-2.el5
zarafa-webaccess-6.40.0-2.el5
zarafa-utils-6.40.0-2.el5
zarafa-spooler-6.40.0-2.el5
zarafa-dagent-6.40.0-2.el5
zarafa-client-6.40.0-2.el5
zarafa-6.40.0-2.el5
zarafa-common-6.40.0-2.el5
zarafa-ical-6.40.0-2.el5
zarafa-monitor-6.40.0-2.el5


How reproducible:
100%

Steps to Reproduce:
1.send a message with

Přišerně žluťoučký kůň úpěl ďábelské ódy in both Subject and body of the message

to the Zarafa account
2.
3.
  
Actual results:
received email is mangled 

Expected results:
it shouldn't be

Additional info:
This is known upstream
http://forums.zarafa.com/viewtopic.php?f=19&t=2044
http://forums.zarafa.com/viewtopic.php?f=9&t=4384

The same seems to be in the user name. Although I have make an account for me with my name Matěj Cepl, webaccess shows MatÄ›j Cepl
Comment 1 Matěj Cepl 2010-07-18 06:01:56 EDT
http://forums.zarafa.com/viewtopic.php?f=12&t=1296 as well

Although this is known upstream, I would love to have this bug here as warning for an unsuspected users who would think Zarafa could be actually useful for them. For now, it is just a proof-of-concept (tell me which email server has never seen any message with encoding outside of windows-1252?).
Comment 2 Robert Scheck 2010-07-18 06:42:54 EDT
Yes, that's a serious issue.

Zarafa 7 (should appear in Q1/Q2 of 2011) will have UTF-8 support. According
to their lead developer, implementing MAPI without UTF-8 support is that very
much easy, that you wouldn't implement UTF-8 support if you wouldn't really 
need it. Initially Zarafa was a Dutch-only product and their success was more
fast then they were able to switch from Windows-1252 ("latin-1") to UTF-8...
Comment 3 Matěj Cepl 2011-01-12 16:23:07 EST
There is now beta1 of 7.0 released (http://www.zarafa.com/download-release),
which supports Unicode characters now.
Comment 4 Robert Scheck 2011-06-27 19:49:08 EDT
Solved with Zarafa 7.0.0

Note You need to log in before you can comment on or make changes to this bug.